h1 {
    background-color: gray;
    margin: 0;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    display: flex;
}

.channels {
    width: 20%;
    background-color: #3F0E40;
    color: rgb(207, 195, 207);
}

.channels p {
    color: blue;
    font-size: 30px;
    padding-left: 20px;
}

.channels form {
    display: flex;
}

li {
    text-decoration: none;
    padding-bottom: 10px;
}

ul {
    list-style-type: none;
}

ul :hover {
    cursor: pointer;
    list-style-type: disc;
    text-decoration: underline;
}

.messages {
    width: 80%;
    display: flex;
    flex-direction: column;
}

.box {
    width: 90%;
}

.send {
    width: 10%;
}

.messages form {
    display: flex;
    width: 90%;
    margin: auto;
    margin-top: 0;
}

.messages>input {
    width: 150px;
    margin-left: 5%;
}

.messages>button {
    width: 150px;
    margin-left: 5%;
}

.messages p {
    margin-left: 5%;
}

.previous-messages {
    margin: auto;
    height: 470px;
    margin: 0;
    margin-top: 10px;
    margin-left: 5%;
    background-color: rgb(30, 70, 47);
    width: 90%;
    color: azure;
}